using System;
using System.Data;
using System.Text;
using System.Data.SqlClient;
using CallCenterApi.DB;
namespace CallCenterApi.DAL
{
    /// <summary>
    /// 数据访问类:T_SMS_RecvSMS
    /// </summary>
    public partial class T_SMS_RecvSMS
    {
        public T_SMS_RecvSMS()
        { }
        #region  Method
        /// <summary>
        /// 是否存在该记录
        /// </summary>
        public bool Exists(int SMSID)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("select count(1) from T_SMS_RecvSMS");
            strSql.Append(" where SMSID=@SMSID");
            SqlParameter[] parameters = {
					new SqlParameter("@SMSID", SqlDbType.Int,4)
};
            parameters[0].Value = SMSID;

            return DbHelperSQL.Exists(strSql.ToString(), parameters);
        }


        /// <summary>
        /// 增加一条数据
        /// </summary>
        public int Add(CallCenterApi.Model.T_SMS_RecvSMS model)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("insert into T_SMS_RecvSMS(");
            strSql.Append("CallerNum,Content,RecvTime,RecvModemIMEI,F_UserID,F_CustomerID,F_Name,State)");
            strSql.Append(" values (");
            strSql.Append("@CallerNum,@Content,@RecvTime,@RecvModemIMEI,@F_UserID,@F_CustomerID,@F_Name,@State)");
            strSql.Append(";select @@IDENTITY");
            SqlParameter[] parameters = {
					new SqlParameter("@CallerNum", SqlDbType.VarChar,20),
					new SqlParameter("@Content", SqlDbType.NVarChar,100),
					new SqlParameter("@RecvTime", SqlDbType.DateTime),
					new SqlParameter("@RecvModemIMEI", SqlDbType.VarChar,20),
					new SqlParameter("@F_UserID", SqlDbType.Int,4),
					new SqlParameter("@F_CustomerID", SqlDbType.Int,4),
					new SqlParameter("@F_Name", SqlDbType.NVarChar,50),
					new SqlParameter("@State", SqlDbType.SmallInt,2)};
            parameters[0].Value = model.CallerNum;
            parameters[1].Value = model.Content;
            parameters[2].Value = model.RecvTime;
            parameters[3].Value = model.RecvModemIMEI;
            parameters[4].Value = model.F_UserID;
            parameters[5].Value = model.F_CustomerID;
            parameters[6].Value = model.F_Name;
            parameters[7].Value = model.State;

            object obj = DbHelperSQL.GetSingle(strSql.ToString(), parameters);
            if (obj == null)
            {
                return 0;
            }
            else
            {
                return Convert.ToInt32(obj);
            }
        }
        /// <summary>
        /// 更新一条数据
        /// </summary>
        public bool Update(CallCenterApi.Model.T_SMS_RecvSMS model)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("update T_SMS_RecvSMS set ");
            strSql.Append("CallerNum=@CallerNum,");
            strSql.Append("Content=@Content,");
            strSql.Append("RecvTime=@RecvTime,");
            strSql.Append("RecvModemIMEI=@RecvModemIMEI,");
            strSql.Append("F_UserID=@F_UserID,");
            strSql.Append("F_CustomerID=@F_CustomerID,");
            strSql.Append("F_Name=@F_Name,");
            strSql.Append("State=@State");
            strSql.Append(" where SMSID=@SMSID");
            SqlParameter[] parameters = {
					new SqlParameter("@CallerNum", SqlDbType.VarChar,20),
					new SqlParameter("@Content", SqlDbType.NVarChar,100),
					new SqlParameter("@RecvTime", SqlDbType.DateTime),
					new SqlParameter("@RecvModemIMEI", SqlDbType.VarChar,20),
					new SqlParameter("@F_UserID", SqlDbType.Int,4),
					new SqlParameter("@F_CustomerID", SqlDbType.Int,4),
					new SqlParameter("@F_Name", SqlDbType.NVarChar,50),
					new SqlParameter("@State", SqlDbType.SmallInt,2),
					new SqlParameter("@SMSID", SqlDbType.Int,4)};
            parameters[0].Value = model.CallerNum;
            parameters[1].Value = model.Content;
            parameters[2].Value = model.RecvTime;
            parameters[3].Value = model.RecvModemIMEI;
            parameters[4].Value = model.F_UserID;
            parameters[5].Value = model.F_CustomerID;
            parameters[6].Value = model.F_Name;
            parameters[7].Value = model.State;
            parameters[8].Value = model.SMSID;

            int rows = DbHelperSQL.ExecuteSql(strSql.ToString(), parameters);
            if (rows > 0)
            {
                return true;
            }
            else
            {
                return false;
            }
        }
        public int UpdateState(int SMSID, int State)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("update T_SMS_RecvSMS set ");
            strSql.Append("State=@State");
            strSql.Append(" where SMSID=@SMSID ");
            SqlParameter[] parameters = {
					new SqlParameter("@SMSID", SqlDbType.Int,4),
					new SqlParameter("@State", SqlDbType.SmallInt,2)};
            parameters[0].Value = SMSID;
            parameters[1].Value = State;

            return DbHelperSQL.ExecuteSql(strSql.ToString(), parameters);
        }
        /// <summary>
        /// 删除一条数据
        /// </summary>
        public bool Delete(int SMSID)
        {

            StringBuilder strSql = new StringBuilder();
            strSql.Append("delete from T_SMS_RecvSMS ");
            strSql.Append(" where SMSID=@SMSID");
            SqlParameter[] parameters = {
					new SqlParameter("@SMSID", SqlDbType.Int,4)
};
            parameters[0].Value = SMSID;

            int rows = DbHelperSQL.ExecuteSql(strSql.ToString(), parameters);
            if (rows > 0)
            {
                return true;
            }
            else
            {
                return false;
            }
        }
        public bool Delete(string arrSMSID)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("delete from T_SMS_RecvSMS ");
            strSql.Append(" where SMSID in (" + arrSMSID + ") ");

            int rows = DbHelperSQL.ExecuteSql(strSql.ToString());
            if (rows > 0)
            {
                return true;
            }
            else
            {
                return false;
            }
        }
        /// <summary>
        /// 批量删除数据
        /// </summary>
        public bool DeleteList(string SMSIDlist)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("delete from T_SMS_RecvSMS ");
            strSql.Append(" where SMSID in (" + SMSIDlist + ")  ");
            int rows = DbHelperSQL.ExecuteSql(strSql.ToString());
            if (rows > 0)
            {
                return true;
            }
            else
            {
                return false;
            }
        }


        /// <summary>
        /// 得到一个对象实体
        /// </summary>
        public CallCenterApi.Model.T_SMS_RecvSMS GetModel(int SMSID)
        {

            StringBuilder strSql = new StringBuilder();
            strSql.Append("select  top 1 SMSID,CallerNum,Content,RecvTime,RecvModemIMEI,F_UserID,F_CustomerID,F_Name,State from T_SMS_RecvSMS ");
            strSql.Append(" where SMSID=@SMSID");
            SqlParameter[] parameters = {
					new SqlParameter("@SMSID", SqlDbType.Int,4)
};
            parameters[0].Value = SMSID;

            CallCenterApi.Model.T_SMS_RecvSMS model = new CallCenterApi.Model.T_SMS_RecvSMS();
            DataSet ds = DbHelperSQL.Query(strSql.ToString(), parameters);
            if (ds.Tables[0].Rows.Count > 0)
            {
                if (ds.Tables[0].Rows[0]["SMSID"] != null && ds.Tables[0].Rows[0]["SMSID"].ToString() != "")
                {
                    model.SMSID = int.Parse(ds.Tables[0].Rows[0]["SMSID"].ToString());
                }
                if (ds.Tables[0].Rows[0]["CallerNum"] != null && ds.Tables[0].Rows[0]["CallerNum"].ToString() != "")
                {
                    model.CallerNum = ds.Tables[0].Rows[0]["CallerNum"].ToString();
                }
                if (ds.Tables[0].Rows[0]["Content"] != null && ds.Tables[0].Rows[0]["Content"].ToString() != "")
                {
                    model.Content = ds.Tables[0].Rows[0]["Content"].ToString();
                }
                if (ds.Tables[0].Rows[0]["RecvTime"] != null && ds.Tables[0].Rows[0]["RecvTime"].ToString() != "")
                {
                    model.RecvTime = DateTime.Parse(ds.Tables[0].Rows[0]["RecvTime"].ToString());
                }
                if (ds.Tables[0].Rows[0]["RecvModemIMEI"] != null && ds.Tables[0].Rows[0]["RecvModemIMEI"].ToString() != "")
                {
                    model.RecvModemIMEI = ds.Tables[0].Rows[0]["RecvModemIMEI"].ToString();
                }
                if (ds.Tables[0].Rows[0]["F_UserID"] != null && ds.Tables[0].Rows[0]["F_UserID"].ToString() != "")
                {
                    model.F_UserID = int.Parse(ds.Tables[0].Rows[0]["F_UserID"].ToString());
                }
                if (ds.Tables[0].Rows[0]["F_CustomerID"] != null && ds.Tables[0].Rows[0]["F_CustomerID"].ToString() != "")
                {
                    model.F_CustomerID = int.Parse(ds.Tables[0].Rows[0]["F_CustomerID"].ToString());
                }
                if (ds.Tables[0].Rows[0]["F_Name"] != null && ds.Tables[0].Rows[0]["F_Name"].ToString() != "")
                {
                    model.F_Name = ds.Tables[0].Rows[0]["F_Name"].ToString();
                }
                if (ds.Tables[0].Rows[0]["State"] != null && ds.Tables[0].Rows[0]["State"].ToString() != "")
                {
                    model.State = int.Parse(ds.Tables[0].Rows[0]["State"].ToString());
                }
                return model;
            }
            else
            {
                return null;
            }
        }

        /// <summary>
        /// 获得数据列表
        /// </summary>
        public DataSet GetList(string strWhere)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("select SMSID,CallerNum,Content,RecvTime,RecvModemIMEI,F_UserID,F_CustomerID,F_Name,State ");
            strSql.Append(" FROM T_SMS_RecvSMS ");
            if (strWhere.Trim() != "")
            {
                strSql.Append(" where " + strWhere);
            }
            return DbHelperSQL.Query(strSql.ToString());
        }

        /// <summary>
        /// 获得前几行数据
        /// </summary>
        public DataSet GetList(int Top, string strWhere, string filedOrder)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("select ");
            if (Top > 0)
            {
                strSql.Append(" top " + Top.ToString());
            }
            strSql.Append(" SMSID,CallerNum,Content,RecvTime,RecvModemIMEI,F_UserID,F_CustomerID,F_Name,State ");
            strSql.Append(" FROM T_SMS_RecvSMS ");
            if (strWhere.Trim() != "")
            {
                strSql.Append(" where " + strWhere);
            }
            strSql.Append(" order by " + filedOrder);
            return DbHelperSQL.Query(strSql.ToString());
        }

        /*
        /// <summary>
        /// 分页获取数据列表
        /// </summary>
        public DataSet GetList(int PageSize,int PageIndex,string strWhere)
        {
            SqlParameter[] parameters = {
                    new SqlParameter("@tblName", SqlDbType.VarChar, 255),
                    new SqlParameter("@fldName", SqlDbType.VarChar, 255),
                    new SqlParameter("@PageSize", SqlDbType.Int),
                    new SqlParameter("@PageIndex", SqlDbType.Int),
                    new SqlParameter("@IsReCount", SqlDbType.Bit),
                    new SqlParameter("@OrderType", SqlDbType.Bit),
                    new SqlParameter("@strWhere", SqlDbType.VarChar,1000),
                    };
            parameters[0].Value = "T_SMS_RecvSMS";
            parameters[1].Value = "SMSID";
            parameters[2].Value = PageSize;
            parameters[3].Value = PageIndex;
            parameters[4].Value = 0;
            parameters[5].Value = 0;
            parameters[6].Value = strWhere;	
            return DbHelperSQL.RunProcedure("UP_GetRecordByPage",parameters,"ds");
        }*/

        #endregion  Method
    }
}

